# Twitter Engagement

### Fields

| Field                               | Type   | Description                                     |
| ----------------------------------- | ------ | ----------------------------------------------- |
| avgLikesPerTweet                    | Float  | Average likes per tweet in the last 30 days     |
| avgRetweetsPerTweet                 | Float  | Average retweets per tweet in the last 30 days  |
| avgTweetsPerDay                     | Float  | Average tweets per day in the last 30 days      |
| collectedAt                         | String | ISO 8601 DateTime formatted collection time     |
| followers                           | Int    | Number of followers                             |
| following                           | Int    | Number of accounts followed                     |
| tweets                              | Int    | Total number of tweets                          |
| tweetsForPeriod                     | Int    | Number of tweets in the last 30 days            |
| tweetsPercentageEngagementForPeriod | Float  | Percentage tweet engagement in the last 30 days |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        latestTwitterEngagement {
            avgLikesPerTweet
            avgRetweetsPerTweet
            avgTweetsPerDay
            collectedAt
            followers
            following
            tweets
            tweetsForPeriod
            tweetsPercentageEngagementForPeriod
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/operating-data/twitterengagementitem-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
